Package de.tudresden.sumo.subscription

## Class VariableSubscription

- java.lang.Object
- - de.tudresden.sumo.subscription.VariableSubscription

- All Implemented Interfaces:
    `Subscription`

      public class VariableSubscription
      extends Object
      implements Subscription

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `LinkedList<Integer>` | `commands` |
    `String` | `objectID` |
    `double` | `start` |
    `double` | `stop` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableSubscription()` |
    `VariableSubscription​(SubscribtionVariable sv, double start, double stop, String objectID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCommand​(int cmd)` |
    `Command` | `getCommand()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          public double start

    - #### stop

          public double stop

    - #### objectID

          public String objectID

    - #### commands

          public LinkedList<Integer> commands

  - ### Constructor Detail

    - #### VariableSubscription

          public VariableSubscription()

    - #### VariableSubscription

          public VariableSubscription​(SubscribtionVariable sv,
                                      double start,
                                      double stop,
                                      String objectID)

  - ### Method Detail

    - #### addCommand

          public void addCommand​(int cmd)

    - #### getCommand

          public Command getCommand()

      Specified by:
        `getCommand` in interface `Subscription`